---
title: Presenter Output
---

### Presenter Output

This section will show you how to use the decorated value provided by the `\Anomaly\IntegerFieldType\IntegerFieldTypePresenter` class.

#### IntegerFieldTypePresenter::format()
The `format` method returns the formatted number string according to configuration.

###### Returns: `string`

###### Example

    $decorated->example->format();

###### Twig

    {{ decorated.example.format() }}

#### IntegerFieldTypePresenter::currency()

The `currency` method returns the currency formatted value.

###### Returns: `string`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$currency

</td>

<td>

false

</td>

<td>

string

</td>

<td>

The currency field value or default configured currency.

</td>

<td>

The currency to format for.

</td>

</tr>

<tr>

<td>

$field

</td>

<td>

false

</td>

<td>

string

</td>

<td>

currency

</td>

<td>

The slug of the currency field.

</td>

</tr>

</tbody>

</table>

###### Example

    $decorated->example->currency();

###### Twig

    {{ decorated.example.currency() }}